# Generated by Django 2.1.7 on 2019-11-11 21:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Parking',
            fields=[
                ('parkingId', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=10, unique=True)),
                ('location', models.TextField(default='sin dirección', max_length=50)),
                ('email', models.EmailField(max_length=50)),
                ('phone', models.CharField(max_length=13)),
            ],
        ),
        migrations.CreateModel(
            name='Square',
            fields=[
                ('squareId', models.AutoField(primary_key=True, serialize=False)),
                ('nameSquare', models.CharField(max_length=10)),
                ('statusSquare', models.CharField(choices=[('ocupado', 'Ocupado'), ('libre', 'Libre')], default='libre', max_length=20)),
                ('Parking', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='models.Parking')),
            ],
        ),
        migrations.CreateModel(
            name='Ticket',
            fields=[
                ('ticketId', models.AutoField(primary_key=True, serialize=False)),
                ('startTime', models.TimeField(blank=True, null=True)),
                ('finishTime', models.TimeField(blank=True, null=True)),
                ('cost', models.DecimalField(decimal_places=2, max_digits=6)),
                ('startDate', models.DateField(blank=True, null=True)),
                ('finishDate', models.DateField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Account',
            fields=[
                ('accountId', models.AutoField(primary_key=True, serialize=False)),
                ('email', models.EmailField(max_length=25)),
                ('password', models.CharField(max_length=20)),
                ('statusAccout', models.CharField(choices=[('activo', 'Activo'), ('inactivo', 'Inactivo')], default='activo', max_length=20)),
            ],
        ),
    ]
